%define lib_major 1
%define short_name nautilus-burn 
%define lib_name %mklibname nautilus-burn %{lib_major}

Summary: CD Burner extension for Nautilus
Name: nautilus-cd-burner
Version: 2.10.2
Release: 5mdk
License: GPL/LGPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.6.1-4mdk use nautilus in browser mode
Patch2: nautilus-cd-burner-2.6.1-browser.patch.bz2
# (fc) 2.10.2-3mdk enable burnproof by default
Patch3: nautilus-cd-burner-2.10.2-burnproof.patch.bz2
# (gb) 2.10.2-4mdk varargs fixes, though were harmless on x86_64 (less than 6 args)
Patch4: nautilus-cd-burner-2.10.2-varargs.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: nautilus-devel >= 2.5.5
BuildRequires: eel-devel
BuildRequires: perl-XML-Parser
Requires: cdrecord
Requires: dvd+rw-tools
Requires: nautilus

%description
nautilus-cd-burner is an extension to Nautilus that makes it easy to
write files to a CD burner.

The user uses Nautilus or another gnome-vfs aware app to copy the
files he wants to write to burn:///, and then nautilus-cd-burner is
launched in some way to write the files to the CD.

%package -n %{lib_name}
Summary:        Libraries for Nautilus CD Burner
Group:          System/Libraries

%description -n %{lib_name}
This package contains libraries used by Nautilus CD Burner.

%package -n %{lib_name}-devel
Summary:        Libraries and include files for developing nautilus cd burner component
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}
provides:	lib%{name}-devel = %{version}
Provides:	%{short_name}-devel = %{version}
Provides:	lib%{short_name}-devel = %{version}
Conflicts:	%{_lib}%{short_name}0-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.


%prep
%setup -q
%patch2 -p1 -b .browser
%patch3 -p1 -b .burnproof
%patch4 -p1 -b .varargs

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}):command="%{_bindir}/nautilus-cd-burner" \
needs="x11" section="System/Archiving/CD Burning" \
title="Nautilus CD Burning" \
longtitle="Nautilus CD Burning tool" icon="%{_datadir}/nautilus-cd-burner/cdspin1.png" \
startup_notify="true" \
mimetypes="application/x-cd-image"
EOF

%find_lang %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ncb.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/ncb.schemas > /dev/null
fi

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig 

%postun -n %{lib_name} -p /sbin/ldconfig 

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS ChangeLog
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/nautilus/extensions-1.0/*
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libexecdir}/mapping-daemon
%{_datadir}/nautilus-cd-burner
%{_menudir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.10.2-4mdk
- varargs fixes

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch3 : enable burnproof by default

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- always requires dvd+rw-tools

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- remove patch3 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.7-2mdk 
- Patch3 (CVS): fix freeze when trying to use utf8 for mkisofs (Mdk bug #15147)

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.7-1mdk
- New release 2.8.7

* Fri Jan  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.8.6-2mdk
- rebuild for new howl

* Tue Dec  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.6-1mdk
- New release 2.8.6

* Sun Nov 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.5-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Nov  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.5-1mdk
- New release 2.8.5

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-1mdk
- New release 2.8.4
- Remove patches 0, 1, 3, 4 (merged upstream)

* Fri Sep 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-6mdk
- Patch4 (CVS): various bug fixes
- Fix mime association, so double-clicking on iso image launch ncb

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-5mdk
- Patch3 (CVS): fix devfs detection

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Patch2: use nautilus in browser mode
- Fix menu

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch1 : fix i18n in nautilus extension

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix automake call
- reenable libtoolize
- rebuild for new g++

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source location
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- patch to fix library linkage
- fix file list
- don't libtoolize
- drop patch0 (merged upstream)

* Tue Dec 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-2mdk
- Patch0 : fix UTF-8 handling for Volume entry

* Mon Dec  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- fix intltool build
- new version

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- Release 0.6.0

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk
- Release 0.5.3

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-1mdk
- Release 0.5.2

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- rebuild for new ORBit2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.3-1mdk
- Release 0.4.3

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.1-1mdk
- Release 0.4.1

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.0-2mdk
- Fix BuildRequires

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.0-1mdk
- Release 0.4.0

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

0* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- First Mandrake package


